Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmmi-py.c File Reference

More...

`#include "system.h"`
`#include "Python.h"`
`#include <rpmlib.h>`
`#include <rpmdb.h>`
`#include "rpmmi-py.h"`
`#include "header-py.h"`
`#include "debug.h"`

Go to the source code of this file.

## Class: Rpmmi
PyObject * | rpmmi_iter (rpmmiObject *s)
PyObject * | rpmmi_iternext (rpmmiObject *s)
PyObject * | rpmmi_Next (rpmmiObject *s, PyObject *args)
PyObject * | rpmmi_Instance (rpmmiObject *s, PyObject *args)
PyObject * | rpmmi_Count (rpmmiObject *s, PyObject *args)
PyObject * | rpmmi_Pattern (rpmmiObject *s, PyObject *args)
void | rpmmi_dealloc (rpmmiObject *s)
PyObject * | rpmmi_getattr (rpmmiObject *s, char *name)
rpmmiObject * | rpmmi_Wrap (rpmdbMatchIterator mi)
PyMethodDef | rpmmi_methods []
char | rpmmi_doc []
PyTypeObject | rpmmi_Type

## Detailed Description

Definition in file rpmmi-py.c.